Categorie

[Update 20160102] Installare avinaptic su linux (anche 64bit)

closeQuesto articolo è stato pubblicato 5 anni 5 mesi 25 giorni giorni fa quindi alcuni contenuti o informazioni presenti in esso potrebbero non essere più validi. Questo sito non è responsabile per eventuali errori causati da questo problema.

avinaptic

 

 

    

Questo articolo è stato tratto dal thread su it.comp.software.divx.
Un ringraziamento particolare a Frank Sinapsi (sviluppatore di avinaptic) e all’utente misterioso che gli ha inviato la procedura per l’installazione.

    1. Scaricare la vecchia versione di Avinaptic precompilato da qui.
    2. Scaricare le librerie libgtklibiconv, libmagic da qui, qui e da qui.
    3. Estrarre gli archivi.
    4. Posizionare le cartelle libgtk, libgmp e il file libiconv.so.2 nella cartella /usr/lib32/
    5. Creare il file /etc/ld.so.conf.d/avinaptic.conf e inserire le seguenti righe:
      /usr/lib32
      /usr/lib32/libgtk
      /usr/lib32/libgmp
    6. Dare da root il comando ldconfig:
      $ sudo ldconfig
    7. Posizionarsi nella cartella contenente l’eseguibile di avinaptic e dare questo comando per verificare che ci siano tutte le librerie necessarie:
      $ ldd avinaptic | grep not
    8. In caso compaia qualcosa tipo:
      $ nomelibreria = > not found

      Provvedere ad installare la libreria mancante.

Nota: Le librerie mancanti (ad esempio la libreria libjpeg) possono essere scaricate da http://packages.ubuntu.com, quindi estrarre i pacchetti .deb come normali archivi e copiare i file delle librerie in /usr/lib32

Per comodità ho inserito tutte le librerie in un unico file zip: librerie4avinaptic

Testato su Ubuntu 10.04 32 e 64bit, su Ubuntu 11.04, su Debian 6 64bit e su LinuxMint 13 Maya 64bit
Per i sistemi a 64bit potrebbe essere necessario installare la libreria ia32-libs

$ sudo apt-get install ia32-libs

[27072011] Aggiornamento:

Sul sito ufficiale si trova anche un pacchetto di installazione .deb a 32 e 64 bit per Debian e derivate della nuova versione di avinaptic. Da una prova veloce la parte di editing sottotitoli .srt non sembra funzionare molto bene (non riconosce le codifiche che supporta la vecchia versione).

[20160102] Aggiornamento:

Dopo il commento di Timmy93 ho testato il suo script su Debian Jessie a 64 bit e sono riuscito a farlo funzionare modificando leggermente lo script per eseguirlo come root (sostanzialmente ho eliminato i sudo ed ho modificato la $HOME)
In aggiunta alle librerie già citate precedentemente ho dovuto installare le seguenti librerie a 32bit:
libjpeg62-turbo
libpng12
libsqlite3-0
libx11-6
libxau6
libxcb1
libxdmcp6
libxext6
libxi6
zlib1g

In caso di Debian potete scaricare tali librerie dal sito: https://packages.debian.org/jessie/i386/allpackages